#
# Copyright (C) 2022 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""remove resubmit script from calibration templates

Revision ID: 11fbc3f2c782
Revises: bcc9821d3073
Create Date: 2022-07-15 13:59:59.256484

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "11fbc3f2c782"
down_revision = "bcc9821d3073"
branch_labels = None
depends_on = None


def upgrade():
    op.get_bind().execute(
        """
        DELETE FROM workflow_templates WHERE filename='resubmit.sh' AND workflow_name='std_calibration'
        """
    )
